#portfolio{
  background-image: url("../../assets/images/background-3.png");
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
  color: var(--tertiary);
   
  .portfolio-overlay{
    background: rgba(3, 21, 37, 0.8);

    .portfolio-wrapper{
      margin: auto;

      .title{
        display: inline;
      }

      .underline{
        position: absolute;  
        background-color: var(--secondary);
        transform-origin: right;
        transform: scaleX(1000);
      }

      .subtitle{
        text-align: center;
      }

      .card{
        transition: transform 0.3s;
        &:hover{
          border: 1px solid rgb(80, 80, 80);
            transform: scale(1.05);
            background-color: rgba(100, 100, 100, 0.1);
            box-shadow: 3px 3px 3px 0px rgba(0,0,0,0.4);
        }

        h3{
          color: var(--secondary);
          font-style: italic;
        }            
      }

      .planck-logo{
        filter: invert(99%) sepia(1%) saturate(0%) hue-rotate(305deg) brightness(121%) contrast(100%); 
        padding-bottom: 10px; 
      }
    }
  }
}

@media screen and (max-width: 1499px){
  .portfolio-wrapper{
    .underline{
      height: 3px;
      margin-top: 10px;
    }

    h3{
      padding: 7px 0;
      font-size: 0.9em;
    }
   
    p{
      padding: 15px 0;
      font-size: 0.8em;
      line-height: 1.8;
      font-weight: lighter;
    }
   
    button{
      border: 1px solid var(--secondary);
      width: 100px;
      height: 35px;
      position: relative;
      background: transparent;
      color: white;
      font-size: 0.8em;
      font-weight: lighter;
      overflow: hidden;
      z-index: 1;
      white-space: nowrap;
      &:after{
        content: "";
        position: absolute;
        top: 0;
        right: 0;
        width: 250px;
        height: 250px;
        background: var(--secondary);
        z-index: -1;
        transform: translateX(-20px) translateY(20px) rotate(-45deg);
        transition: transform 0.5s;
      }
      &:hover::after{
        transform: translateX(50%) translateY(-50%)  rotate(-45deg);
      }
    }
  }
}

//Mobile
@media screen and (max-width: 767px){
  .portfolio-wrapper{
    padding: 30px;
    max-width: 500px;

    .underline{
      width: 213px;
    }

    .portfolio-content{
      padding-top: 20px;

      .card{
        width: 316px;
        margin: 20px auto;
        padding: 20px;
      } 
    } 
  }
}

//Tablet
@media screen and (min-width: 768px) and (max-width: 1023px){
  .portfolio-wrapper{
    padding: 50px 0;
    max-width: 650px;

    .title{
      margin: 0 35px;
    }

    .subtitle{
      width: 600px;
      margin: auto;
    }

    .underline{
      width: 247px;
    }

    .portfolio-content{
      padding-top: 20px;
      display: flex;
      flex-wrap: wrap;
      max-width: 650px;
      flex-direction: row;
      margin: 25px auto;
      justify-content: space-around;

      .card{
        margin: 10px 0;
        align-self: flex-start;
        width: 299px;
        height: 340px;
        padding: 20px;
      }
    }
  }
}

//Laptop
@media screen and (min-width: 1024px) and (max-width: 1499px){
  .portfolio-wrapper{
    padding: 80px 0;
    max-width: 950px;

    .title{
      margin: 0 35px;
    }

    .underline{
      width: 247px;
    }

    .subtitle{
      width: 600px;
      margin: auto;
    }

    .portfolio-content{
      padding-top: 30px;
      display: flex;
      flex-wrap: wrap;
      max-width: 900px;
      flex-direction: row;
      margin: 35px auto;
      justify-content: space-around;

      .card{
        margin: 10px 0;
        align-self: flex-start;
        width: 425px;
        height: 300px;
        padding: 20px;
      }
    }
  }
}

//Desktop
@media screen and (min-width: 1500px){
  .portfolio-wrapper{
    padding: 90px 0 65px 0;
    max-width: 1350px;

    .title{
      font-size: 2.9em;
      margin: 0 110px;  
    }

    .underline{
      height: 4px;
      margin-top: 20px;
      width: 418px;
    }

    .subtitle{
      padding: 25px 0;
      width: 800px;
      margin: auto;
      font-size: 3em;
    }

    .portfolio-content{
      padding-top: 70px;
      display: flex;
      flex-wrap: wrap;
      max-width: 1350px;
      flex-direction: row;
      margin: 35px 0;
      justify-content: space-around;
    
      .card{
        margin: 10px 0;
        align-self: flex-start;
        width: 500px;
        height: 375px;
        padding: 30px;

        h3{
          padding: 15px 0;
          font-size: 1em;
        }

        p{
          padding: 20px 0;
          font-size: 1em;
          line-height: 2;
        }

        button{
          border: 1px solid var(--secondary);
          position: relative;
          background: transparent;
          color: var(--tertiary);
          width: 175px;
          height: 50px;
          font-size: 1.1em;
          overflow: hidden;
          z-index: 1;     
          white-space: nowrap;
          &:after{
            content: "";
            position: absolute;
            top: 0;
            right: 0;
            width: 350px;
            height: 350px;
            background: var(--secondary);
            z-index: -1;
            transform: translateX(-10px) translateY(20px) rotate(-60deg);
            transition: transform 0.5s;
          }     
          &:hover::after{
            transform: translateX(50%) translateY(-50%)  rotate(-45deg);
          }
        }
      }
    }
  }
}